Skip to main content
Resource Center/Network Resource/Route Resource Operations/vRouter Route Table Operations
GETvRouter Route Table OperationsSince 2.1SynchronousAuth Required

QueryVirtualRouterVRouterRouteTableRef

QueryVirtualRouterVRouterRouteTableRef

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • virtualRouterVmUuidStringRequired

      No description provided.

    • routeTableUuidStringRequired

      No description provided.

Endpoint

GET/zstack/v1/vrouter-route-tables/virtual-router-refs

/zstack/v1/vrouter-route-tables/virtual-router-refs

Operation ID

QueryVirtualRouterVRouterRouteTableRef

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/vrouter-route-tables/virtual-router-refs' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "virtualRouterVmUuid": "ebec6ece12504916a12f13441282bb67", "routeTableUuid": "fbf34e1fc6924ff3ba4c338435dd8e61" } ] }

Change History

This API has no change history records yet.

View all change history